@echo off
SETLOCAL
%~d0
cd %~dp0

REM
REM detect the OS version
REM
for /f "tokens=4-7 delims=[.] " %%i in ('ver') do (if %%i==Version (set v=%%j) else (set v=%%i))
if %v% GEQ 10 (
    cd win10
) else (
    cd win7
)
set DEVCMD=rundll32 x64\my_setup.dll

REM
REM  If OSBase/KairOS driver is previously installed, stop the installation.
REM
sc query ddmgr
IF %ERRORLEVEL% EQU 0 (
     echo OSBase iDisplay driver detected! Try uninstall OSbase/KairOS iDisplay software.
     goto exit
)

REM
REM  If older driver (lci_proxykmd) is previously installed, stop the installation.
REM
sc query lci_proxykmd
IF %ERRORLEVEL% EQU 0 (
    echo Older display driver detected! Uninstall it first
    %DEVCMD% do_uninstall_lci_proxykmd 
    timeout /t 1 /nobreak
    sc.exe delete lci_proxykmd

:wait_for_delete
    sc query lci_proxykmd
    if %ERRORLEVEL% EQU 0 (
        timeout /t 1 /nobreak
        goto wait_for_delete
    )	

    timeout /t 1 /nobreak

    del %SystemRoot%\System32\lci_proxyumd.dll
    del %SystemRoot%\System32\drivers\lci_proxykmd.sys
)

REM
REM now install / update the LCI PROXY DRIVER
REM
echo Installing lci proxywddm
%DEVCMD% do_install_lci_proxywddm
REM if no %1, means set reg key
if "%1"=="" (
	reg add "HKLM\SOFTWARE\Wow6432Node\Splashtop Inc.\Splashtop Remote Server" /f /v "VirtualDisplay" /t REG_DWORD /d 2
)
:exit
cd ..
ENDLOCAL